Package ghidra.framework.store.local

# Class IndexedPropertyFile

java.lang.Object
ghidra.util.PropertyFile
ghidra.framework.store.local.IndexedPropertyFile

public class IndexedPropertyFile extends PropertyFile

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME_PROPERTY`
  `static final String`
  `PARENT_PATH_PROPERTY`

  ### Fields inherited from class ghidra.util.PropertyFile

  `name, parentPath, PROPERTY_EXT, propertyFile, storageName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexedPropertyFile(File file)`
  Construct an existing PropertyFile.
  `IndexedPropertyFile(File dir, String storageName)`
  Construct an existing PropertyFile.
  `IndexedPropertyFile(File dir, String storageName, String parentPath, String name)`
  Construct a new or existing PropertyFile.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `moveTo(File newParent, String newStorageName, String newParentPath, String newName)`
  Move this PropertyFile to the newParent file.
  `void`
  `readState()`
  Read in this PropertyFile into a SaveState object.

  ### Methods inherited from class ghidra.util.PropertyFile

  `delete, equals, exists, getBoolean, getFileID, getFolder, getInt, getLong, getName, getParentPath, getPath, getStorageName, getString, hashCode, isReadOnly, lastModified, putBoolean, putInt, putLong, putString, remove, setFileID, writeState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME_PROPERTY

    public static final String NAME_PROPERTY
    See Also:
      - Constant Field Values

  - ### PARENT_PATH_PROPERTY

    public static final String PARENT_PATH_PROPERTY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IndexedPropertyFile

    public IndexedPropertyFile(File dir, String storageName, String parentPath, String name) throws IOException
    Construct a new or existing PropertyFile. This form ignores retained property values for NAME and PARENT path.
    Parameters:
      `dir` - parent directory
      `storageName` - stored property file name (without extension)
      `parentPath` - path to parent
      `name` - name of the property file
    Throws:
      `IOException`

  - ### IndexedPropertyFile

    public IndexedPropertyFile(File dir, String storageName) throws IOException
    Construct an existing PropertyFile.
    Parameters:
      `dir` - parent directory
      `storageName` - stored property file name (without extension)
    Throws:
      `FileNotFoundException` - if property file does not exist
      `IOException` - if error occurs reading property file

  - ### IndexedPropertyFile

    public IndexedPropertyFile(File file) throws IOException
    Construct an existing PropertyFile.
    Parameters:
      `file` -
    Throws:
      `FileNotFoundException` - if property file does not exist
      `IOException` - if error occurs reading property file

- ## Method Details

  - ### readState

    public void readState() throws IOException
    Description copied from class: `PropertyFile`
    Read in this PropertyFile into a SaveState object.
    Overrides:
      `readState` in class `PropertyFile`
    Throws:
      `IOException` - thrown if there was a problem reading the file

  - ### moveTo

    public void moveTo(File newParent, String newStorageName, String newParentPath, String newName) throws DuplicateFileException, IOException
    Description copied from class: `PropertyFile`
    Move this PropertyFile to the newParent file.
    Overrides:
      `moveTo` in class `PropertyFile`
    Parameters:
      `newParent` - new parent of the file
      `newStorageName` - new storage name
      `newParentPath` - parent path of the new parent
      `newName` - new name for this PropertyFile
    Throws:
      `DuplicateFileException` - thrown if a file with the newName already exists
      `IOException` - thrown if there was a problem accessing the